Index: asterisk.c
===================================================================
RCS file: /usr/cvsroot/asterisk/asterisk.c,v
retrieving revision 1.155
diff -u -r1.155 asterisk.c
--- asterisk.c	19 May 2005 01:57:19 -0000	1.155
+++ asterisk.c	26 May 2005 10:06:11 -0000
@@ -466,7 +466,7 @@
 
 	if (perms!=NULL) {
 		mode_t p;
-		sscanf(perms,"%o",&p);
+		sscanf(perms,"%o",(int *)&p); /* XXX */
 		if ((chmod(ast_config_AST_SOCKET,p))<0)
 			ast_log(LOG_WARNING, "Unable to change file permissions of %s: %s\n", ast_config_AST_SOCKET,strerror(errno));
 	}
@@ -1687,7 +1687,6 @@
 	int num;
 	char *buf;
 	char *runuser=NULL, *rungroup=NULL;
-	struct pollfd silly_macos[1];	
 
 	/* Remember original args for restart */
 	if (argc > sizeof(_argv) / sizeof(_argv[0]) - 1) {
@@ -2053,7 +2052,9 @@
 
 	}
 	/* Do nothing */
-	for(;;) 
-		poll(silly_macos,0, -1);
+	for(;;)  {	/* apparently needed for the MACos */
+		struct pollfd p = { -1 /* no descriptor */, 0, 0 };
+		poll(&p, 0, -1);
+	}
 	return 0;
 }
